## python-pysam 0.15.4+ds

=== requirements.txt ===
cython>=0.29.12

=== tests/cbcf_data/Makefile ===
ALL_VCF=$(wildcard *.vcf)
VCF=$(filter-out example_empty.vcf,$(ALL_VCF))

VCFGZ=$(VCF:%.vcf=%.vcf.gz)
BCF=$(VCF:%.vcf=%.bcf)

all: $(VCFGZ) $(BCF)

%.vcf.gz: %.vcf
	bgzip < $< > $@
	tabix -p vcf $@    # create tbi index
	bcftools index $@  # create csi index

%.bcf: %.vcf.gz
	bcftools view -O b $< -o $@
	bcftools index $@

example_empty.bcf: example_empty.vcf.gz
	touch $@

clean:
	rm -f *.gz *.tbi *.csi *.bcf

=== debian/changelog ===
python-pysam (0.15.4+ds-3) unstable; urgency=medium

  * Remove Python2 package
    Closes: #938092
  * Remove unneeded debian/gbp.conf
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Fri, 08 May 2020 20:27:35 +0200

python-pysam (0.15.4+ds-2) unstable; urgency=medium

  * Dont run unittests for python2 binary, to reduce pytest rdeps

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Apr 2020 23:49:01 -0400

python-pysam (0.15.4+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * python-pysam-tests: Multi-Arch: foreign
  * Try to keep example_no_seq_in_header_null_bytes.bam from being deleted

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 23 Jan 2020 15:00:17 +0100

python-pysam (0.15.3+ds-5) unstable; urgency=medium

  [ Chris Lamb ]
  * make the build reproducible
    Closes: #948280

  [ Andreas Tille ]
  * Standards-Version: 4.4.1
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 06 Jan 2020 17:44:23 +0100

python-pysam (0.15.3+ds-4) unstable; urgency=medium

  * Team upload.
  * Replace missing hts_seek and hts_tell equivalents

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 05 Jan 2020 21:23:11 +0100

python-pysam (0.15.3+ds-3) unstable; urgency=medium

  * Team upload.
  * -docs: oops, don't try to ship nonexistent debian/tests/run-nose{3,}-tests

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 05 Jan 2020 08:01:33 +0100

python-pysam (0.15.3+ds-2) unstable; urgency=medium

  * Team upload.
  * new patch: Update deprecated samtools import test commands to samtools view
  * new patch: Update samtools + bcftools to v1.10
  * disable tests for now

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 04 Jan 2020 23:19:04 +0100

python-pysam (0.15.3+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. Not yet dropping py2 due to paleomix and pbsuite
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository.
  * New patch to remove symbols that were dropped in htslib 1.10:
    hts_utell, hts_useek (Closes: #947426)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 03 Jan 2020 21:25:33 +0100

=== debian/control ===
Source: python-pysam
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-exec,
               dh-python,
               libhts-dev (>= 1.9),
               zlib1g-dev,
               python3-all-dev,
               python3-setuptools,
               cython3 (>= 0.23),
               tabix <!nocheck>,
               samtools (>= 1.9) <!nocheck>,
               bcftools (>= 1.9) <!nocheck>,
               python3-pytest <!nocheck>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/python-pysam
Vcs-Git: https://salsa.debian.org/med-team/python-pysam.git
Homepage: https://pysam.readthedocs.org/en/latest
Rules-Requires-Root: no

Package: python3-pysam
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: interface for the SAM/BAM sequence alignment and mapping format (Python 3)
 Pysam is a Python module for reading and manipulating Samfiles. It's a
 lightweight wrapper of the samtools C-API. Pysam also includes an interface
 for tabix.
 .
 This package installs the module for Python 3.

Package: python-pysam-tests
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}
Enhances: python3-pysam
Description: interface for the SAM/BAM sequence alignment and mapping format (test data)
 Pysam is a Python module for reading and manipulating Samfiles. It's a
 lightweight wrapper of the samtools C-API. Pysam also includes an interface
 for tabix.
 .
 This package contains the data provided by upstream to run the pysam
 test suite.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export PYBUILD_NAME=pysam
export LC_ALL = C.UTF-8

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

TESTPKG    := $(DEB_SOURCE)-tests

export HTSLIB_MODE=external
HTSLIBDIR  := /usr/lib/$(DEB_HOST_MULTIARCH)
export HTSLIB_LIBRARY_DIR=$(HTSLIBDIR)
export HTSLIB_INCLUDE_DIR=/usr/include

# unfortunately this does not work - any hint to fix this would be really welcome
#export PYBUILD_TEST_ARGS_python3=-k-XTestRemoteFileHTTP -k-XTestRemoteFileHTTPWithHeader

clean: clean-tests
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install: clean-tests
	dh_install -Xtest.gtf.gz
	find debian -name log.txt -delete

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test: pysam_data.all cbcf_data.all
	export PYBUILD_TEST_ARGS='|| true' ; dh_auto_test
else
override_dh_auto_test:
endif

override_dh_auto_clean:
	dh_auto_clean
	$(RM) \
		pysam/config.py \
		pysam/config.h \
		pysam/lib*.c \
		samtools/config.h \
		bcftools/config.h
	rm -rf pysam.egg-info

.PHONY: pysam_data.% cbcf_data.%
cbcf_data.%:
	cd tests/$(basename $@) && $(MAKE) $*
pysam_data.%:
	cd tests/$(basename $@) && $(MAKE) $*

.PHONY: clean-tests
clean-tests: pysam_data.clean cbcf_data.clean
	find . -name "*.pyc" -delete
	find . -name "*.pyxbldc" -delete
	find . -name "tmp_*.bam" -delete
	find . -name "*.bai*" -delete
	find . -name "*.cram*" -delete
	find . -name "pysam_uncompressed.bam" -delete
	rm -rf	tests/pysam_test_work \
		tests/example_htslib.gtf.gz.tbi \
		tests/log.txt \
		tests/test.bam \
		tests/_compile_test.c \
		tests/pysam_ex2.sam \
		tests/__pycache__ \
		pysam/calignmentfile.c \
		pysam/cbcf.c \
		tests/GRCh38_full_analysis_set_plus_decoy_hla.fa.fai \
		tests/pysam_data/ex1.fa.gz \
		tests/pysam_data/ex1.fa.gz.gzi \
		tests/pysam_data/ex1_csi.bam.csi
	rm -rf .pytest_cache/

=== debian/tests/control ===
Test-Command: export HOME=$PWD && make -C tests/pysam_data && make -C tests/cbcf_data && pytest-3 || true
Depends: @builddeps@, python3-pysam,
Restrictions: allow-stderr, rw-build-tree

## python-pysam 0.17.0%2Bds

=== tests/tabix_data/Makefile ===
all: all.stamp

all.stamp:
	touch $@

clean:
	-rm -f all.stamp

## python-pysam 0.17.0+ds

=== tests/pysam_data/Makefile ===
SAM=$(wildcard *.sam)
BAM=$(SAM:%.sam=%.bam)
BAI=$(BAM:%.bam=%.bam.bai)
CRAM=ex1.cram ex2.cram ex3.cram
CRAI=$(CRAM:%.cram=%.cram.crai)
NO_PG:=$(findstring --no-PG,$(shell samtools view '-?'))

# ex2.bam - bam file without index

all: all.stamp

all.stamp: ex1.pileup.gz \
	ex1.sam ex1.bam \
	ex2.sam.gz ex2.sam ex2.bam ex2.bam.bai \
	with_md.sam.gz with_md.bam with_md.bam.bai \
        uncompressed.bam \
	$(BAM) $(BAI) \
	$(CRAM) $(CRAI) \
	example_bai.bam \
        rg_with_tab.bam \
	ex2_truncated.bam \
	ex2_corrupt.bam \
	empty.bam empty.bam.bai \
	explicit_index.bam explicit_index.cram \
	faidx_empty_seq.fq.gz \
	ex1.fa.gz ex1.fa.gz.fai ex1.fa.gz.gzi \
	ex1_csi.bam \
	example_reverse_complement.bam \
	example_dash_in_chr.bam
	touch $@

# ex2.sam - as ex1.sam, but with header
ex2.sam.gz: ex1.bam ex1.bam.bai
	samtools view $(NO_PG) -h ex1.bam | gzip > ex2.sam.gz

with_md.sam.gz: ex2.bam ex1.fa
	samtools calmd $(NO_PG) --output-fmt BAM $^ > $@

#%.bam: %.sam ex1.fa.fai
#	samtools view $(NO_PG) -bo $@ -t ex1.fa.fai $<

uncompressed.bam: ex2.sam
	samtools view $(NO_PG) -bu -o $@ $<

%.bam: %.sam
	samtools view $(NO_PG) -bo $@ $<

%.cram: %.sam
	samtools view $(NO_PG) -Co $@ -T ex1.fa $<

%.cram.crai: %.cram
	samtools index $<

%.sam: %.sam.gz
	gunzip < $< > $@

%.fa.fai: %.fa
	samtools faidx $<

%.fa.gz.fai %.fa.gz.gzi: %.fa.gz
	samtools faidx $<

ex1.bam:ex1.sam.gz ex1.fa.fai
		samtools view $(NO_PG) -bo ex1.bam -t ex1.fa.fai ex1.sam.gz

%.bam.bai:%.bam
		samtools index $<

ex1.pileup.gz:ex1.bam ex1.fa
		samtools mpileup -f ex1.fa ex1.bam | gzip > ex1.pileup.gz

ex2_truncated.bam: ex2.bam
	head -c 124000 ex2.bam > ex2_truncated.bam

# Append a corrupt read with block_size < sizeof(bam_core_t fields)
ex2_corrupt.bam: ex2.bam
	(bgzip -d < $<; printf '\37\0\0\0\1\0\0\0') | bgzip > $@

ex1_csi.bam: ex1.bam
	cp ex1.bam ex1_csi.bam
	samtools index -c ex1_csi.bam

empty.bam: ex2.sam
	grep "^@" $< | samtools view $(NO_PG) -bo $@ -

example_unmapped_reads_no_sq.bam: example_unmapped_reads_no_sq.sam
	touch tmp.list
	samtools view $(NO_PG) -bo $@ -t tmp.list $<
	rm -f tmp.list

example_bai.bam: ex1.bam
	cp ex1.bam $@
	samtools index $@
	mv $@.bai example_bai.bai

explicit_index.bam: ex1.bam
	cp ex1.bam $@

explicit_index.cram: ex1.cram
	cp ex1.cram $@

clean:
	rm -fr [a-z]*.bam *.bai *.csi *.fai *.gzi *.pileup* [a-z]*.cram *.crai \
	all.stamp *~ calDepth *.dSYM pysam_*.sam \
	ex2.sam ex2.sam.gz ex1.sam ex1.fa.gz \
	with_md.sam.gz \
	*.fq.gz

%.fq.gz: %.fq
	gzip < $< > $@

%.fa.gz: %.fa
	bgzip < $< > $@

=== debian/changelog ===
python-pysam (0.17.0+ds-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:12:51 +0000

python-pysam (0.17.0+ds-2) unstable; urgency=medium

  * Team Upload.
  * Move from experimental to unstable
  * Skip failing test on 32-bit

 -- Nilesh Patra <nilesh@debian.org>  Fri, 15 Oct 2021 13:17:18 +0530

python-pysam (0.17.0+ds-1) experimental; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * debhelper-compat 13 (routine-update)
  * Update copyright
  * Do not ignore test results via '|| true'
  * Exclude another test that is failing

  [ Nilesh Patra ]
  * New upstream version 0.17.0+ds
  * Standards version: 4.6.0
  * Bump watch file version to 4
  * Re-diff patches

 -- Nilesh Patra <nilesh@debian.org>  Fri, 15 Oct 2021 01:13:49 +0530

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-python,
                libhts-dev (>= 1.9),
@@ -17,7 +17,7 @@
                samtools (>= 1.9) <!nocheck>,
                bcftools (>= 1.9) <!nocheck>,
                python3-pytest <!nocheck>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-pysam
 Vcs-Git: https://salsa.debian.org/med-team/python-pysam.git
 Homepage: https://pysam.readthedocs.org/en/latest

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test: pysam_data.all cbcf_data.all
-	export PYBUILD_TEST_ARGS='|| true' ; dh_auto_test
+	dh_auto_test
 else
 override_dh_auto_test:
 endif

## python-pysam 0.20.0+ds

=== tests/tabix_data/Makefile ===
all: all.stamp

DERIVED_FILES = \
	empty.bed.gz.tbi \
	example.bed.gz example.bed.gz.tbi \
	example.gff2.gz.tbi \
	example.gff3.gz.tbi \
	example.sam.gz.tbi \
	example.vcf.gz.tbi \
	example_badcomments.bed.gz.tbi \
	example_badcomments.gtf.gz.tbi \
	example_badcomments.sam.gz.tbi \
	example_badcomments.vcf.gz.tbi \
	example_comments.bed.gz.tbi \
	example_comments.gtf.gz.tbi \
	example_comments.sam.gz.tbi \
	example_comments.vcf.gz.tbi \
	example_large.bed.gz.tbi \
	fivecolumns.bed.gz fivecolumns.bed.gz.tbi

all.stamp: $(DERIVED_FILES)
	touch $@

%.gz: %
	bgzip -c $< > $@

%.gff2.gz.tbi: %.gff2.gz
	tabix -p gff $<

%.gff3.gz.tbi: %.gff3.gz
	tabix -p gff $<

%.gtf.gz.tbi: %.gtf.gz
	tabix -p gff $<

%.gz.tbi: %.gz
	tabix -p $(subst .,,$(suffix $*)) $<

clean:
	-rm -f all.stamp $(DERIVED_FILES)

=== debian/changelog ===
python-pysam (0.20.0+ds-3) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix proper "SO" extension.

 -- Nilesh Patra <nilesh@debian.org>  Sat, 31 Dec 2022 22:26:09 +0530

python-pysam (0.20.0+ds-2) unstable; urgency=medium

  * disable-tests-python3.11.patch: add; work around test failure.
    Thanks to John Marshall and Graham Inggs (Closes: #1024425)
  * d/control: restore dependency on python3-all-dev.
  * d/control: restore autodep8-python autopkgtest.
  * Standards-Version: 4.6.2 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Tue, 27 Dec 2022 11:41:25 +0100

python-pysam (0.20.0+ds-1) unstable; urgency=medium

  * New upstream version
  * Update lintian override info format in d/python-pysam.lintian-overrides on
    line 4.
  * skip_test_remote.patch: refresh.
  * test-truncated-bam.patch: delete; applied upstream.
  * d/control: make build only depend on python3-dev.
  * d/control: disable autopkgtest-pkg-python due to missing python3.11
    support; classical autopkgtest is still active though.

 -- Étienne Mollier <emollier@debian.org>  Tue, 29 Nov 2022 21:55:48 +0100

python-pysam (0.19.1+ds-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Remove unused license definitions for LGPL-2.1+, BSD-3-clause.

  [ Étienne Mollier ]
  * test-truncated-bam.patch: added; fix test truncated BAM failure.
    Thanks to John Marshall
  * d/*.lintian-overrides: refresh mismatches.
  * d/control: add myself to uploaders.
  * d/*.lintian-overrides: remove unused overrides.

 -- Étienne Mollier <emollier@debian.org>  Sun, 02 Oct 2022 11:41:36 +0200

python-pysam (0.18.0+ds-1~exp2) experimental; urgency=medium

  * Bump Build-Depends: libhts-dev (>= 1.14~)
    Closes: #1001284

 -- Andreas Tille <tille@debian.org>  Wed, 08 Dec 2021 13:23:03 +0100

python-pysam (0.18.0+ds-1~exp1) experimental; urgency=medium

  * New upstream version
  * No tab in license text (routine-update)
  * Update renamed lintian tag names in lintian overrides.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on bcftools, libhts-dev and
      samtools.
  * Drop outdated and unused tests

 -- Andreas Tille <tille@debian.org>  Tue, 07 Dec 2021 15:14:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: python-pysam
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
-           Andreas Tille <tille@debian.org>
+           Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-python,
-               libhts-dev (>= 1.9),
+               libhts-dev (>= 1.14~),
                zlib1g-dev,
                python3-all-dev,
                python3-setuptools,
-               cython3 (>= 0.23),
+               cython3,
                tabix <!nocheck>,
-               samtools (>= 1.9) <!nocheck>,
-               bcftools (>= 1.9) <!nocheck>,
+               samtools <!nocheck>,
+               bcftools <!nocheck>,
                python3-pytest <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-pysam
 Vcs-Git: https://salsa.debian.org/med-team/python-pysam.git
 Homepage: https://pysam.readthedocs.org/en/latest
@@ -36,8 +37,8 @@
  This package installs the module for Python 3.
 
 Package: python-pysam-tests
+Architecture: all
 Multi-Arch: foreign
-Architecture: all
 Depends: ${misc:Depends}
 Enhances: python3-pysam
 Description: interface for the SAM/BAM sequence alignment and mapping format (test data)

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 export LC_ALL = C.UTF-8
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 
 TESTPKG    := $(DEB_SOURCE)-tests

## python-pysam 0.21.0+ds

=== debian/changelog ===
python-pysam (0.21.0+ds-1) unstable; urgency=medium

  * New upstream version
  * Patches triage:
    - disable-tests-python3.11.patch removed: applied upstream
    - python3.11.patch removed: applied upstream
    - skip_test_remote.patch: forwarding not-needed
    - skip-test-on-32-bit.patch: provide dep3 header
    - clean_less patch: forwarding not-needed
  * d/copyright: bump copyright year.
  * d/rules: delete extra license files.
  * typos.patch: add; fix typos caught by lintian.

 -- Étienne Mollier <emollier@debian.org>  Fri, 23 Jun 2023 20:10:54 +0200

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 override_dh_install: clean-tests
 	dh_install -Xtest.gtf.gz
 	find debian -name log.txt -delete
+	find debian -name LICENSE -delete
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test: pysam_data.all cbcf_data.all

## python-pysam 0.22.0%2Bds

=== debian/changelog ===
python-pysam (0.22.0+ds-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:30:40 +1100

python-pysam (0.22.0+ds-1build1) noble; urgency=high

  * No change rebuild against libhts3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:51:07 +0100

python-pysam (0.22.0+ds-1) unstable; urgency=medium

  * New upstream version
    Closes: #1055505
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Fix clean target
    Closes: #1047165

 -- Andreas Tille <tille@debian.org>  Wed, 08 Nov 2023 10:23:13 +0100

## python-pysam 0.22.0+ds

=== tests/cbcf_data/Makefile ===
--- 
+++ 
@@ -4,7 +4,10 @@
 VCFGZ=$(VCF:%.vcf=%.vcf.gz)
 BCF=$(VCF:%.vcf=%.bcf)
 
-all: $(VCFGZ) $(BCF)
+all: all.stamp
+
+all.stamp: $(VCFGZ) $(BCF)
+	touch $@
 
 %.vcf.gz: %.vcf
 	bgzip < $< > $@
@@ -19,5 +22,4 @@
 	touch $@
 
 clean:
-	rm -f *.gz *.tbi *.csi *.bcf
-
+	-rm -f all.stamp *.gz *.tbi *.csi *.bcf

=== tests/pysam_data/Makefile ===
--- 
+++ 
@@ -70,7 +70,7 @@
 		samtools mpileup -f ex1.fa ex1.bam | gzip > ex1.pileup.gz
 
 ex2_truncated.bam: ex2.bam
-	head -c 124000 ex2.bam > ex2_truncated.bam
+	dd if=ex2.bam of=ex2_truncated.bam bs=$$((`wc -c < ex2.bam`-512)) count=1
 
 # Append a corrupt read with block_size < sizeof(bam_core_t fields)
 ex2_corrupt.bam: ex2.bam

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: python-pysam
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>,
            Étienne Mollier <emollier@debian.org>
@@ -8,7 +9,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
-               dh-python,
+               dh-sequence-python3,
                libhts-dev (>= 1.14~),
                zlib1g-dev,
                python3-all-dev,

## python-pysam 0.22.1+ds

=== debian/changelog ===
python-pysam (0.22.1+ds-2) unstable; urgency=medium

  * htslib-1.20.patch: new: anticipate test failure.
    Upcoming upload of htslib 1.20 comes with improvements causing a test
    failure in pysam.  This change anticipates the correction without
    introduction of regressions with existing releases of htslib.
    Thanks to John Marshall

 -- Étienne Mollier <emollier@debian.org>  Wed, 29 May 2024 13:23:03 +0200

python-pysam (0.22.1+ds-1) unstable; urgency=medium

  * New upstream version 0.22.1+ds
  * d/copyright: update copyright year.
  * d/control: declare compliance to standards version 4.7.0.
  * d/python-pysam.links: delete: now irrelevant.
    This file set symbolic links up to help with Python 2.7, which is
    obsolete and should not be used anymore, so these links are not useful
    anymore.
  * d/control: remove dh-exec: it is not in use anymore.
  * skip_test_remote.patch: unfuzz.
  * skip-test-on-32-bit.patch: refresh.

 -- Étienne Mollier <emollier@debian.org>  Sun, 12 May 2024 14:35:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-pysam
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>,
            Étienne Mollier <emollier@debian.org>
@@ -8,7 +7,6 @@
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-exec,
                dh-sequence-python3,
                libhts-dev (>= 1.14~),
                zlib1g-dev,
@@ -19,7 +17,7 @@
                samtools <!nocheck>,
                bcftools <!nocheck>,
                python3-pytest <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-pysam
 Vcs-Git: https://salsa.debian.org/med-team/python-pysam.git
 Homepage: https://pysam.readthedocs.org/en/latest

## python-pysam 0.23.0%2Bds

=== tests/cbcf_data/Makefile ===
ALL_VCF=$(wildcard *.vcf)
VCF=$(filter-out example_empty.vcf,$(ALL_VCF))

VCFGZ=$(VCF:%.vcf=%.vcf.gz)
BCF=$(VCF:%.vcf=%.bcf)

all: all.stamp

all.stamp: $(VCFGZ) $(BCF)
	touch $@

%.vcf.gz: %.vcf
	bgzip < $< > $@
	tabix -f -p vcf $@    # create tbi index
	bcftools index -f $@  # create csi index

%.bcf: %.vcf.gz
	bcftools view -O b $< -o $@
	bcftools index -f $@

example_empty.bcf: example_empty.vcf.gz
	touch $@

clean:
	-rm -rf all.lock all.stamp *.gz *.tbi *.csi *.bcf

## python-pysam 0.23.0+ds

=== tests/tabix_data/Makefile ===
--- 
+++ 
@@ -25,16 +25,16 @@
 	bgzip -c $< > $@
 
 %.gff2.gz.tbi: %.gff2.gz
-	tabix -p gff $<
+	tabix -f -p gff $<
 
 %.gff3.gz.tbi: %.gff3.gz
-	tabix -p gff $<
+	tabix -f -p gff $<
 
 %.gtf.gz.tbi: %.gtf.gz
-	tabix -p gff $<
+	tabix -f -p gff $<
 
 %.gz.tbi: %.gz
-	tabix -p $(subst .,,$(suffix $*)) $<
+	tabix -f -p $(subst .,,$(suffix $*)) $<
 
 clean:
-	-rm -f all.stamp $(DERIVED_FILES)
+	-rm -rf all.lock all.stamp $(DERIVED_FILES)

=== debian/changelog ===
python-pysam (0.23.0+ds-1build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:53:24 +0000

python-pysam (0.23.0+ds-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:20:45 +0000

python-pysam (0.23.0+ds-1) unstable; urgency=medium

  * Migrate python-pysam 0.23.0 from experimental to unstable.

 -- Étienne Mollier <emollier@debian.org>  Thu, 06 Feb 2025 21:31:01 +0100

python-pysam (0.23.0+ds-0+exp1) experimental; urgency=medium

  * New upstream version 0.23.0+ds
  * d/copyright: account for uscan warning about missing files.
  * d/copyright: update year and freshen authors list.
  * htslib-1.20.patch: delete: applied upstream.
  * d/patches/*: refresh patches.
  * d/control: pysam 0.23 depends on htslib 1.21.
  * d/patches/*: normalize Last-Update timestamp.

 -- Étienne Mollier <emollier@debian.org>  Wed, 05 Feb 2025 21:51:07 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
-               libhts-dev (>= 1.14~),
+               libhts-dev (>= 1.21~),
                zlib1g-dev,
                python3-all-dev,
                python3-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 clean: clean-tests
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_install: clean-tests
 	dh_install -Xtest.gtf.gz

=== debian/tests/control ===
Test-Command: export HOME=$PWD && make -C tests/pysam_data && make -C tests/cbcf_data && pytest-3
Depends: @builddeps@, python3-pysam,
Restrictions: allow-stderr, rw-build-tree

=== debian/watch ===
version=4

opts="repacksuffix=+ds,dversionmangle=s/\+ds//g,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-pysam-$1.tar.gz%" \
	https://github.com/pysam-developers/pysam/tags \
	(?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## python-pysam 0.23.3+ds

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

DIR_PUBLISH=/ifs/home/andreas/public_html/documentation/pysam

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
	@echo "  publish   to copy the HTML documentation to the server."

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/samtools.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/samtools.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

publish:
	rm -rf $(DIR_PUBLISH)
	mkdir -p $(DIR_PUBLISH)
	cp -r _build/html/* $(DIR_PUBLISH)

=== debian/changelog ===
python-pysam (0.23.3+ds-2) unstable; urgency=medium

  * skip-test-on-32-bit.patch: skip further tests.

 -- Étienne Mollier <emollier@debian.org>  Fri, 14 Nov 2025 14:10:45 +0100

python-pysam (0.23.3+ds-1) unstable; urgency=medium

  * New upstream version 0.23.3+ds  (Closes: #1120205)
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/watch: convert to v5 Github template.

 -- Étienne Mollier <emollier@debian.org>  Fri, 14 Nov 2025 12:43:08 +0100

=== debian/control ===
--- 
+++ 
@@ -17,11 +17,10 @@
                samtools <!nocheck>,
                bcftools <!nocheck>,
                python3-pytest <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-pysam
 Vcs-Git: https://salsa.debian.org/med-team/python-pysam.git
 Homepage: https://pysam.readthedocs.org/en/latest
-Rules-Requires-Root: no
 
 Package: python3-pysam
 Architecture: any

=== debian/watch ===
Version: 5

Template: Github
Owner: pysam-developers
Project: pysam
Dversionmangle: auto
Repacksuffix: +ds
